1 - 1.2
get /v1/privatelink-endpoints
Description
PrivateLink 엔드포인트 목록을 조회한다
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | name optional | PrivateLink 엔드포인트명 Example : endpoint | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PrivateLinkEndpointListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/privatelink-endpoints
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"
Example HTTP response
Response 200
{
"count": 20,
"privatelink_endpoints": [
{
"created_at": "2024-05-17T00:23:17Z",
"id": "27bb070b564349f8a31cc60734cc36a5",
"name": "endpoint",
"privatelink_service_id": "27bb070b564349f8a31cc60734cc36a5",
"status": "CANCELED"
}
]
}